## org.apache.batik.css.dom
Class CSSOMStoredStyleDeclaration

    java.lang.Object
      org.apache.batik.css.dom.CSSOMStyleDeclaration
          org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
              org.apache.batik.css.dom.CSSOMStoredStyleDeclaration

All Implemented Interfaces:
  CSSOMStyleDeclaration.ModificationHandler, CSSOMStyleDeclaration.ValueProvider, StyleDeclarationProvider, org.w3c.dom.css.CSSStyleDeclaration

Direct Known Subclasses:
  SVGStylableElement.OverrideStyleDeclaration, SVGStylableElement.StyleDeclaration

    public abstract class CSSOMStoredStyleDeclaration

extends CSSOMSVGStyleDeclaration
implements CSSOMStyleDeclaration.ValueProvider, CSSOMStyleDeclaration.ModificationHandler, StyleDeclarationProvider

A class for SVG style declarations that store their properties in a `StyleDeclaration`.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`CSSOMSVGStyleDeclaration.StyleDeclarationColorValue, CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue`

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`CSSOMStyleDeclaration.ModificationHandler, CSSOMStyleDeclaration.StyleDeclarationValue, CSSOMStyleDeclaration.ValueProvider`

Field Summary
`protected StyleDeclaration` `declaration` The object storing the properties.

Fields inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`cssEngine`

Fields inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`handler, parentRule, valueProvider, values`

Constructor Summary
`CSSOMStoredStyleDeclaration(CSSEngine eng)` Creates a new CSSOMStoredStyleDeclaration.

Method Summary
`int` `getLength()` Returns the length of the declaration.
`StyleDeclaration` `getStyleDeclaration()` Returns the object storing the properties of this style declaration.
`java.lang.String` `getText()` Returns the text of the declaration.
`Value` `getValue(java.lang.String name)` Returns the current value associated with this object.
`boolean` `isImportant(java.lang.String name)` Tells whether the given property is important.
`java.lang.String` `item(int idx)` Returns the value at the given.
`void` `setStyleDeclaration(StyleDeclaration sd)` Sets the object storing the properties of this style declaration.

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`createCSSValue`

Methods inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`getCssText, getCSSValue, getParentRule, getPropertyCSSValue, getPropertyPriority, getPropertyValue, removeProperty, setCssText, setModificationHandler, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.dom.CSSOMStyleDeclaration.ModificationHandler
`propertyChanged, propertyRemoved, textChanged`

Field Detail

### declaration

    protected StyleDeclaration declaration

  The object storing the properties.

Constructor Detail

### CSSOMStoredStyleDeclaration

    public CSSOMStoredStyleDeclaration(CSSEngine eng)

  Creates a new CSSOMStoredStyleDeclaration.

Method Detail

### getStyleDeclaration

    public StyleDeclaration getStyleDeclaration()

  Returns the object storing the properties of this style declaration.

  Specified by:
    `getStyleDeclaration` in interface `StyleDeclarationProvider`

### setStyleDeclaration

    public void setStyleDeclaration(StyleDeclaration sd)

  Sets the object storing the properties of this style declaration.

  Specified by:
    `setStyleDeclaration` in interface `StyleDeclarationProvider`

### getValue

    public Value getValue(java.lang.String name)

  Returns the current value associated with this object.

  Specified by:
    `getValue` in interface `CSSOMStyleDeclaration.ValueProvider`

### isImportant

    public boolean isImportant(java.lang.String name)

  Tells whether the given property is important.

  Specified by:
    `isImportant` in interface `CSSOMStyleDeclaration.ValueProvider`

### getText

    public java.lang.String getText()

  Returns the text of the declaration.

  Specified by:
    `getText` in interface `CSSOMStyleDeclaration.ValueProvider`

### getLength

    public int getLength()

  Returns the length of the declaration.

  Specified by:
    `getLength` in interface `CSSOMStyleDeclaration.ValueProvider`
  Specified by:
    `getLength` in interface `org.w3c.dom.css.CSSStyleDeclaration`
  Overrides:
    `getLength` in class `CSSOMStyleDeclaration`

### item

    public java.lang.String item(int idx)

  Returns the value at the given.

  Specified by:
    `item` in interface `CSSOMStyleDeclaration.ValueProvider`
  Specified by:
    `item` in interface `org.w3c.dom.css.CSSStyleDeclaration`
  Overrides:
    `item` in class `CSSOMStyleDeclaration`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.